package cn.reghao.oss.console.account.service;

import cn.reghao.oss.console.account.model.po.Menu;
import cn.reghao.oss.console.account.model.po.Role;

import java.util.Set;

/**
 * @author reghao
 * @date 2020-06-19 16:36:53
 */
public interface RoleService {
    void initRole();
    void addOrModify(Role role);
    void delete(Integer roleId);
    void setRoleMenus(Integer roleId, Set<Menu> menus);
    Role getRole(int roleId);
}
